ranges::logical_negate< FD > Struct Template Reference
Functional

## Public Member Functions

template<typename... Args>
CPP_TEMPLATE_AUX_0 | c (requires ` predicate< FD &, Args... >) ccconstexpr bool operator()(Args &&... args) &
template<typename... Args>
CPP_TEMPLATE_AUX_0 | c (requires ` predicate< FD const &, Args... >) ccconstexpr bool operator()(Args &&... args) const &
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename... Args>
CPP_TEMPLATE_AUX_0 | c (requires ` predicate< FD, Args... >) ccconstexpr bool operator()(Args &&... args) &&
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
CPP_TEMPLATE_AUX_0 | c (requires `(!same_as< detail::decay_t< T >, logical_negate >) &&constructible_from< FD, T >) ccconstexpr explicit logical_negate(T &&pred)